Name: gnupg
Summary: A GNU utility for secure communication and data storage.
Version: 1.4.7
Release: 1
License: GPL
Group: Productivity/Security
Source0: ftp://ftp.gnupg.org/gcrypt/gnupg/gnupg-%{version}.tar.bz2
Source1: ftp://ftp.gnupg.org/gcrypt/gnupg/gnupg-%{version}.tar.bz2.sig
URL: http://www.gnupg.org
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: bzip2, zlib-devel, gettext, curl-devel

Requires: bzip2, zlib, gettext, info, curl

Provides: gpg, openpgp

%description
GnuPG (GNU Privacy Guard) is a GNU utility for encrypting data and
creating digital signatures. GnuPG has advanced key management
capabilities and is compliant with the proposed OpenPGP Internet
standard described in RFC2440. Since GnuPG doesn't use any patented
algorithm, it is not compatible with any version of PGP2 (PGP2.x uses
only IDEA for symmetric-key encryption, which is patented worldwide).


%prep
%setup -q

%build
./configure --prefix=%{_prefix} \
    --infodir=%{_prefix}/info \
    --mandir=%{_prefix}/man \
    --with-zlib --with-bzip2
make
make check


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

sed 's^\.\./g[0-9\.]*/^^g' tools/lspgpot > lspgpot
cp lspgpot $RPM_BUILD_ROOT%{_bindir}/lspgpot
chmod 755 $RPM_BUILD_ROOT%{_bindir}/lspgpot

rm -f $RPM_BUILD_ROOT/%{_infodir}/dir
gzip -9 $RPM_BUILD_ROOT/%{_infodir}/gnupg1.info


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,system)
%doc AUTHORS BUGS COPYING ChangeLog INSTALL NEWS PROJECTS README THANKS TODO
%doc doc/DETAILS doc/HACKING doc/OpenPGP doc/samplekeys.asc
%{_bindir}/*
%{_libexecdir}/*
%{_datadir}/%{name}/*
%{_datadir}/locale/*
%{_infodir}/*
%{_mandir}/man1/*
%{_mandir}/man7/*


%post
if test -s %{_infodir}/gnupg1.info.gz ; then
    /sbin/install-info %{_infodir}/gnupg1.info.gz %{_infodir}/dir
fi
if ! test -s %{_infodir}/gpg.info.gz ; then
    /sbin/install-info --delete %{_infodir}/gpg.info.gz %{_infodir}/dir
fi
if ! test -s %{_infodir}/gpgv.info.gz ; then
    /sbin/install-info --delete %{_infodir}/gpgv.info.gz %{_infodir}/dir
fi
exit 0


%preun
if [ $1 = 0 ]; then
    if test -s %{_infodir}/gnupg1.info.gz ; then
        /sbin/install-info --delete %{_infodir}/gnupg1.info.gz %{_infodir}/dir
    fi
fi
exit 0


%changelog
* Sun Oct 07 2007 Michael Perzl <michael@perzl.org> - 1.4.7-1
- first version for AIX V5.1 and higher
